<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Document</title>

</head>

<body onload="onPageLoading()">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h4>Chỉnh sửa học viên</h4>
            </div>
        </div><br><br>
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-3">
                        <label>Họ tên&nbsp;<span style="color: red;">*</span></label>
                    </div>
                    <div class="col-sm-9">
                        <input class="form-control" id="inp-name">
                    </div>
                </div><br>
                <div class="row">
                    <div class="col-sm-3">
                        <label>Ngày sinh</label>
                    </div>
                    <div class="col-sm-9">
                        <input class="form-control" id="inp-birthday" >
                    </div>
                </div><br>
                <div class="row">
                    <div class="col-sm-3">
                        <label>Email&nbsp;<span style="color: red;">*</span></label>
                    </div>
                    <div class="col-sm-9">
                        <input class="form-control" id="inp-email">
                    </div>
                </div><br>
                <div class="row">
                    <div class="col-sm-3">
                        <label>Phone&nbsp;<span style="color: red;">*</span></label>
                    </div>
                    <div class="col-sm-9">
                        <input class="form-control" id="inp-phone" >
                    </div>
                </div><br>
                <div class="row">
                    <div class="col-sm-12 text-center">
                        <button class="btn btn-secondary" id="btn-back"><i class="fas fa-angle-left"></i>&nbsp;Quay
                            lại</button>
                        <button class="btn btn-success" id="btn-save"><i class="fas fa-save" ></i>&nbsp;Lưu</button>
                    </div>

                </div>
            </div>
        </div>
    </div>
</body>

<script>
    var gStudentId = null;

    $(document).on("click", "#btn-save", function () {
        onBtnSaveClick();
    });

    $(document).on("click", "#btn-back", function () {
        window.location.href = "JBR3.30.html"
    });

    function onBtnSaveClick() {
        var vObjectRequestData = {
            name: "",
            email: "",
            password: "",
            phone: "",
            birthday: "",
            gender: ""
        };

        getStudentData(vObjectRequestData);
        var vValidate = validateData(vObjectRequestData);
        if (vValidate) {
            updateStudent(vObjectRequestData);
        }
    }

    function getStudentData(paramStudent) {
        paramStudent.name = $("#inp-name").val().trim();
        paramStudent.birthday = $("#inp-birthday").val();
        paramStudent.email = $("#inp-email").val().trim();
        paramStudent.phone = $("#inp-phone").val();
    }

    function validateData(paramStudent) {
        if (paramStudent.name == "") {
            alert("chưa nhập tên");
            return false;
        }
        if (paramStudent.birthday == "") {
            alert("chưa nhập ngày sinh");
            return false;
        }
        if (paramStudent.email == "") {
            alert("chưa nhập email");
            return false;
        }
        if (paramStudent.phone == "") {
            alert("chưa nhập sđt");
            return false;
        }
        return true;
    }

    function updateStudent(paramStudent) {
        $.ajax({
            url: "https://devcamp-student.herokuapp.com/users/" + gStudentId,
            type: "PUT",
            contentType: "application/json",
            data: JSON.stringify(paramStudent),
            success: function () {
                alert("update học viên thành công");
                window.location.href = "JBR3.30.html"
            },
            error: function () {
                alert("fail");
            }
        })
    }

    function onPageLoading(){
        var vUrl = window.location.href;
        var vUrlObj = new URL(vUrl);
        gStudentId = vUrlObj.searchParams.get("id");
        getStudentById(gStudentId);
    }

    function getStudentById(paramStudentId){
        $.ajax({
            url: "https://devcamp-student.herokuapp.com/users/" + paramStudentId,
            type: "GET",
            async:false,
            success: function(data){
                displayStudentToForm(data);
            },
            error: function(){
                alert("fail");
            }
        })
    }

    function displayStudentToForm(paramStudent){
        $("#inp-name").val(paramStudent.name);
        $("#inp-birthday").val(paramStudent.birthday);
        $("#inp-email").val(paramStudent.email);
        $("#inp-phone").val(paramStudent.phone);
    }
</script>

</html>